ExchangeTransaction
POST
Create a transaction that swaps tokens on an exchange pair. The price follows the Bancor algorithm, and the transaction fails when the amount received is lower than
expected.Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)exchange_idintegerrequired
Unique ID of the exchange pair. Example: 1token_idstringrequired
ID of the token to sell. Use _ for TRX.quantintegerrequired
Amount of the token to sell. TRX amounts are in sun.expectedintegerrequired
Minimum amount of the counterpart token to receive. The transaction fails if the actual amount is lower.visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.Responses
txIDstring
Transaction ID (hash).raw_dataobject
The transaction raw_data (contract, ref_block_*, expiration, etc.).raw_data_hexstring
Hex-encoded protobuf of raw_data.visibleboolean
Echoes back the visible value given in the request.cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/exchangetransaction' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM","exchange_id": 1,"token_id": "_","quant": 100,"expected": 10}'